Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pearsoneduc.ip.op
Class HighBoostKernel

    java.lang.Object
      |
      +--java.awt.image.Kernel
            |
            +--com.pearsoneduc.ip.op.StandardKernel
                  |
                  +--com.pearsoneduc.ip.op.HighBoostKernel

public class HighBoostKernel
extends StandardKernel

A Kernel for high frequency emphasis filtering.

Version:
  1.1 [1999/07/29]
Author:
  Nick Efford

Constructor Summary
`HighBoostKernel()` Constructs a HighBoostKernel with the default central coefficient of 9, surrounded by -1.
`HighBoostKernel(int coeff)` Constructs a HighBoostKernel with the specified central coefficient.

Method Summary
`static float[]` | `createKernelData(int coeff)` Creates an array of kernel coefficients consisting of the specified central coefficient surrounded by -1.
`static void` | `main(java.lang.String[] argv)` Creates a HighBoostKernel and prints it on standard output.

Methods inherited from class com.pearsoneduc.ip.op.StandardKernel
`createKernel, createKernel, getFractionDigits, setFractionDigits, toString, write`

Methods inherited from class java.awt.image.Kernel
`clone, getHeight, getKernelData, getWidth, getXOrigin, getYOrigin`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HighBoostKernel

    public HighBoostKernel()

  Constructs a HighBoostKernel with the default central coefficient of 9, surrounded by -1.

### HighBoostKernel

    public HighBoostKernel(int coeff)

  Constructs a HighBoostKernel with the specified central coefficient.
  Parameters:
    `coeff` - central coefficient of kernel

Method Detail

### createKernelData

    public static float[] createKernelData(int coeff)

  Creates an array of kernel coefficients consisting of the specified central coefficient surrounded by -1.
  Parameters:
    `coeff` - central coefficient
  Returns:
    array of coefficients.

### main

    public static void main(java.lang.String[] argv)

  Creates a HighBoostKernel and prints it on standard output.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD